安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1480921 漏洞类型 跨站脚本
发布时间 2019-02-06 更新时间 2019-10-10
CVE编号 CVE-2019-1003023 CNNVD-ID CNNVD-201902-114
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201902-114
|漏洞详情
CloudBees Jenkins(Hudson Labs)是美国CloudBees公司的一套基于Java开发的持续集成工具。该产品主要用于监控持续的软件版本发布/测试项目和一些定时执行的任务。Warnings Next Generation Plugin是使用在其中的一个用于收集静态分析工具报告的编译器警告信息的插件。 Jenkins Warnings Next Generation Plugin 1.0.1版及之前版本中的多个文件存在跨站脚本漏洞。攻击者可利用该漏洞使Jenkins渲染任意的HTML。(多个文件包括:src/main/java/io/jenkins/plugins/analysis/core/model/DetailsTableModel.java、src/main/java/io/jenkins/plugins/analysis/core/model/SourceDetail.java、 src/main/java/io/jenkins/plugins/analysis/core/model/SourcePrinter.java、src/main/java/io/jenkins/plugins/analysis/core/util/Sanitizer.java和src/main/java/io/jenkins/plugins/analysis/warnings/DuplicateCodeScanner.java文件)
|参考资料

来源:jenkins.io

链接:https://jenkins.io/security/advisory/2019-01-28/#SECURITY-1271


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-1003023